Name:                mongo-java-driver2
Version:             2.14.3
Release:             1
Summary:             MongoDB Java Driver
License:             ASL 2.0 and BSD and CC-BY-SA
URL:                 http://docs.mongodb.org/ecosystem/drivers/java/
Source0:             https://github.com/mongodb/mongo-java-driver/archive/r%{version}/mongo-java-driver-%{version}.tar.gz

BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin) mvn(junit:junit)
Provides:            bundled(apache-commons-codec)
Provides:            bundled(jcip-annotations)
Provides:            bundled(postgresql-jdbc) = 9.0-801
BuildArch:           noarch

%description
Java library to connect to the MongoDB document database.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n mongo-java-driver-r%{version}
find -name '*.class' -delete
find -name '*.jar' -print -delete
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove pom:Export-Package
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-bundle-plugin']/pom:configuration/pom:instructions" '
                 <Export-Package>com.mongodb.*,org.bson.*</Export-Package>'
%mvn_compat_version org.mongodb:mongo-java-driver %{version} 2
%mvn_file org.mongodb:mongo-java-driver mongo-java-driver %{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc History.md README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Jul 24 2020 leiju <leiju4@huawei.com> - 2.14.3-1
- Package init
